.btn-group
  = view_on_environment_button(@commit.sha, @path, @environment) if @environment

.btn-group.tree-btn-group
  = link_to 'Raw', namespace_project_raw_path(@project.namespace, @project, @id),
      class: 'btn btn-sm', target: '_blank'
  -# only show normal/blame view links for text files
  - if blob_text_viewable?(@blob)
    - if current_page? namespace_project_blame_path(@project.namespace, @project, @id)
      = link_to 'Normal View', namespace_project_blob_path(@project.namespace, @project, @id),
          class: 'btn btn-sm'
    - else
      = link_to 'Blame', namespace_project_blame_path(@project.namespace, @project, @id),
          class: 'btn btn-sm' unless @blob.empty?
  = link_to 'History', namespace_project_commits_path(@project.namespace, @project, @id),
      class: 'btn btn-sm'
  = link_to 'Permalink', namespace_project_blob_path(@project.namespace, @project,
      tree_join(@commit.sha, @path)), class: 'btn btn-sm js-data-file-blob-permalink-url'

- if current_user
  .btn-group{ role: "group" }
    = lock_file_link(html_options: {class: 'btn btn-sm path-lock'})
    - if blob_text_viewable?(@blob)
      = edit_blob_link
    = replace_blob_link
    = delete_blob_link

- if license_allows_file_locks?
  :javascript
    PathLocks.init(
      '#{toggle_namespace_project_path_locks_path(@project.namespace, @project)}',
      '#{@path}'
    );
